#!/bin/sh
#
# Wed Jul 12 15:15:21 MET DST 1995
#
VERSION=0.03

cat <<-EOF
Instalacni script baliku cstex-linux-$VERSION.
Napsal Jan "Yenya" Kasprzak (kas@muni.cz).


Prvni dilema: Pokud instaluji soubor, ktery v systemu jiz existuje,
mam jej prepsat novym, nebo prejmenovat na "soubor.orig" a pak nainstalovat
novy? Tyka se to programu v /usr/bin a dale souboru 
psfonts.map a render.ps v /usr/lib/texmf/dvips.

Prepsat? [a/n] 
EOF

if read a && [ "$a" = a ]
then
	OVERWRITE=yes
	echo "Tak tedy prepsat..."
else
	OVERWRITE=no
	echo "OK, budu se snazit prejmenovavat."
fi

echo -n "Testuji pristupova prava ..."

if cp /dev/null /usr/local/bin/~pokus~ 2>/dev/null
then
	# OK, muzeme zapisovat, asi jsme root.
	rm -f /usr/local/bin/~pokus~
	echo " V poradku."
else
	echo "Nemuzu zapisovat do /usr/local/bin. Jsem ja vubec root?"
	exit 1
fi

umask 022

ORIG_DIR=/usr/bin

for i in bin/*
do
	i=`basename $i`
	if [ -x $ORIG_DIR/$i ]
	then
		if [ "$OVERWRITE" = yes ]
		then
			echo "Rusim $ORIG_DIR/$i, soubor bude v /usr/local/bin."
			rm $ORIG_DIR/$i
		else
			echo "Prejmenovavam $ORIG_DIR/$i na $ORIG_DIR/$i.orig."
			mv $ORIG_DIR/$i $ORIG_DIR/$i.orig
		fi
	fi
done

echo -n "Instaluji programy do /usr/local/bin..."
(cd bin; tar cf - . )|(cd /usr/local/bin; tar xf - )
echo "Hotovo."

my_link(){
	echo "Vytvarim $2 jako symbolicky link na $1."
	rm -f $2
	ln -s $1 $2
}

my_link /usr/local/bin/virtex /usr/bin/virtex
my_link /usr/local/bin/virmf /usr/bin/virmf

my_link /usr/local/lib/cstex/fonts /usr/lib/texmf/fonts/csfonts
my_link /usr/local/lib/cstex/tex /usr/lib/texmf/tex/cstex

echo -n "Instaluji manualove stranky do /usr/local/man..."
(cd man; tar cf - . )|(cd /usr/local/man; tar xf - )
echo "Hotovo."

echo -n "Instaluji soubory do /usr/local/lib/cstex..."
tar cf - cstex | (cd /usr/local/lib; tar xf -)
echo "Hotovo."

echo -n "Instaluji psfonts.map do /usr/lib/texmf/dvips..."
if [ -r /usr/lib/texmf/dvips/psfonts.map -a "$OVERWRITE" = no ]
then 
	mv /usr/lib/texmf/dvips/psfonts.map /usr/lib/texmf/dvips/psfonts.map.orig
fi
cp psfonts.map /usr/lib/texmf/dvips/psfonts.map
echo "Hotovo."

echo -n "Instaluji render.ps do /usr/lib/texmf/dvips..."
if [ -r /usr/lib/texmf/dvips/render.ps -a "$OVERWRITE" = no ]
then 
	mv /usr/lib/texmf/dvips/render.ps /usr/lib/texmf/dvips/render.ps.orig
fi
cp render.ps /usr/lib/texmf/dvips/render.ps
echo "Hotovo."

echo "Vytvarim formaty cs[e]plain a dc[e]plain..."
/usr/local/lib/cstex/tex/csplain/MakeCzechFormats
echo "Hotovo."

FONTS="charter courier utopia"
EXISTS=no

for i in $FONTS
do if [ -d $i ]; then EXISTS=yes; fi; done

if [ "$EXISTS" = yes ]
then
	cat <<-EOF

Nalezl jsem aspon jeden z adresaru $FONTS
v adresari /usr/lib/texmf/dvips/psfonts. Soucasti distribuce
jsou pocestene verze techto fontu. Abyste je mohli pouzivat,
je nutne smazat originalni verze. Muzete si vybrat,
jestli tyto adresare ponechat, smazat nebo zabalit tarem.

Mam tyto adresare smazat? [y/n]
EOF
read a || a="n"
if [ "$a" = "y" ]
then
	for i in $FONTS
	do
		echo "Mazu adresar /usr/lib/texmf/fonts/psfonts/$i"
		rm -r /usr/lib/texmf/fonts/psfonts/$i
	done
	echo "Hotovo."
else
	echo -n "Nemazat. Mam tedy tyto adresare zabalit? [y/n]"
	read a || a="n"
	if [ "$a" = "y" ]
	then
		for i in $FONTS
		do
			echo "Ukladam /usr/lib/texmf/fonts/psfonts/$i do archivu $i.tar.gz"
			(cd /usr/lib/texmf/fonts/psfonts; tar cf - $i|gzip -9> $i.tar.gz)
		done
		echo "Hotovo."
	else
		echo "Ponechavam adresare beze zmeny. Toto muze pozdeji zpusobit problemy."
	fi
fi
fi 
echo -n "Vytvarim databazi ls-R. Toto muze chvili trvat ..."
ls -LR /usr/lib/texmf >/usr/lib/texmf/ls-R
echo "Hotovo."
echo "Databazi ls-R muzete kdykoli obnovit prikazem"
echo "ls -LR /usr/lib/texmf >/usr/lib/texmf/ls-R"

echo
echo "Instalace je skoncena."

exit 0
